<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    >

    <LinearLayout 
        android:layout_width="fill_parent"
   		android:layout_height="fill_parent"
   		android:orientation="vertical"
        >
		<LinearLayout   
		    android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
	    	android:orientation="horizontal">
		    <LinearLayout 
		        android:layout_width="0dp"
	   			android:layout_height="wrap_content"
	    		android:orientation="vertical" 
	    		android:layout_weight="1">
	
		         <TextView
		             android:id="@+id/textViewName"
		             android:layout_width="match_parent"
		             android:layout_height="wrap_content"
		             android:background="@drawable/corner_round"
		             android:text="@string/sdtname"
		             android:textAppearance="?android:attr/textAppearanceLarge" />
			
			    <TextView
			        android:id="@+id/textViewSex"
			        android:layout_width="match_parent"
			        android:layout_height="wrap_content"
			        android:layout_marginTop="3dp"
			        android:background="@drawable/corner_round"
			        android:text="@string/sdtsex"
			        android:textAppearance="?android:attr/textAppearanceLarge" />
			
			    <TextView
			        android:id="@+id/textViewNation"
			        android:layout_width="match_parent"
			        android:layout_height="wrap_content"
			        android:layout_marginTop="3dp"
			        android:background="@drawable/corner_round"
			        android:text="@string/sdtnation"
			        android:textAppearance="?android:attr/textAppearanceLarge" />
			
			    <TextView
			        android:id="@+id/textViewBirthday"
			        android:layout_width="match_parent"
			        android:layout_height="wrap_content"
			        android:layout_marginTop="3dp"
			        android:background="@drawable/corner_round"
			        android:text="@string/sdtbirthday"
			        android:textAppearance="?android:attr/textAppearanceLarge" />
	
		    </LinearLayout>
		    <LinearLayout 
		        android:layout_width="wrap_content"
	   			android:layout_height="wrap_content"
	    		android:orientation="vertical"
	    		>
	
		        <ImageView
		            android:id="@+id/imageViewPhoto"
		            android:layout_width="102dp"
		            android:layout_height="126dp"
		            android:background="@drawable/photo" />
	
		    </LinearLayout>
	
		    
		    
		</LinearLayout>
	
	    <TextView
	        android:id="@+id/textViewAddress"
	        android:layout_width="match_parent"
	        android:layout_height="55dp"
	        android:layout_marginTop="3dp"
	        android:background="@drawable/corner_round"
	        android:text="@string/sdtaddress"
	        android:textAppearance="?android:attr/textAppearanceMedium" />
	
	    <TextView
	        android:id="@+id/textViewPIDNo"
	        android:layout_width="match_parent"
	        android:layout_height="wrap_content"
	        android:layout_marginTop="3dp"
	        android:background="@drawable/corner_round"
	        android:text="@string/sdtpidno"
	        android:textAppearance="?android:attr/textAppearanceMedium" />
	
	
	
	    <TextView
	        android:id="@+id/textViewGrantDept"
	        android:layout_width="match_parent"
	        android:layout_height="55dp"
	        android:background="@drawable/corner_round"
	        android:layout_marginTop="3dp"
	        android:text="@string/sdtgrantdept"
	        android:textAppearance="?android:attr/textAppearanceMedium" />
	
	
	
	    <TextView
	        android:id="@+id/textViewUserLife"
	        android:layout_width="match_parent"
	        android:layout_height="wrap_content"
	        android:background="@drawable/corner_round"
	        android:layout_marginTop="3dp"
	        android:text="@string/sdtuserlife"
	        android:textAppearance="?android:attr/textAppearanceMedium" />
	    
	        <TextView
	        android:id="@+id/tvFpAndAppendAdd"
	        android:layout_width="match_parent"
	        android:layout_height="80dp"
	        android:background="@drawable/corner_round"
	        android:layout_marginTop="3dp"
	        android:text="@string/append_msg"
	        android:textAppearance="?android:attr/textAppearanceMedium"
	         />



		<LinearLayout
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:orientation="horizontal">

			<Spinner
				android:layout_width="0dp"
				android:layout_weight="1"
				android:layout_height="wrap_content"
				android:entries="@array/com_interface"
				android:id="@+id/spCom" />

			<Spinner
				android:layout_width="0dp"
				android:layout_weight="1"
				android:layout_height="wrap_content"
				android:id="@+id/spSerialPort"
				android:visibility="invisible"/>

			<Spinner
				android:layout_width="0dp"
				android:layout_weight="1"
				android:layout_height="wrap_content"
				android:id="@+id/spSerialBaudrate"
				android:entries="@array/baudRate"
				android:visibility="invisible"/>

		</LinearLayout>

		<LinearLayout
		    android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
	    	android:orientation="horizontal"
	    	android:layout_marginTop="3dp">
		    <Button
		        android:id="@+id/buttonReadCard"
		        android:layout_width="0dp"
		        android:layout_weight="1"
		        android:layout_height="wrap_content"
		        android:text="@string/sdtreadcard" 
		        android:textSize="20dp"/>

			<Button
				android:id="@+id/buttonM1"
				android:layout_width="0dp"
				android:layout_weight="1"
				android:layout_height="wrap_content"
				android:text="@string/sdtreadM1"
				android:textSize="20dp"/>

			<Button
				android:id="@+id/buttonCpu"
				android:layout_width="0dp"
				android:layout_weight="1"
				android:layout_height="wrap_content"
				android:text="@string/sdtreadCpu"
				android:textSize="20dp"/>
		     <Button
		         android:id="@+id/buttonExit"
		         android:layout_width="0dp"
		        android:layout_weight="1"
		         android:layout_height="wrap_content"
		         android:text="@string/sdtexit"
		         android:textSize="20dp" />
		    
		</LinearLayout>
	
	   
	
	
	    <TextView
	        android:id="@+id/textViewStatus"
	        android:layout_width="wrap_content"
	        android:layout_height="wrap_content"
	        android:text="@string/sdtstatus"
	       android:textSize="20sp" />
	
	    
	    <LinearLayout 
	        android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
	    	android:orientation="horizontal">
	   		<TextView          
	            android:id="@+id/tvReaderStatus"
	        	android:layout_width="0dp"
	       	 	android:layout_height="wrap_content"
	       	 	android:layout_weight="1"
	        	android:text=""
	        	android:textSize="20sp"/> 

	        ></LinearLayout>
	        

		
     </LinearLayout>

</ScrollView>